Bug 122245 - (PATCH) Cannot display received chinese messages.
(PATCH) Cannot display received chinese messages.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: licq (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 10:08 EDT by isaac
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.3.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 11:42:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description isaac 2004-05-02 10:08:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:
I tried both zh_TW.UTF-8 and zh_TW.big5 locale. licq can notice the
incoming message, but cannot display it content. However, pure english
message does not affected.

No incoming chinese message has saved to licq's history file too.


This maybe due the "QT 3.3 special-characters-bug" that mentioned on
licq's website.



Version-Release number of selected component (if applicable):
licq-1.2.7-3

How reproducible:
Always

Steps to Reproduce:
1. Logon licq
2. Sent chinese from another windows icq client


Actual Results:  Licq notice a new message, but cannot display its
content.

Additional info:

On Licq's website, there has a patch file to 1.2.7 source, which is a
workaround to the "QT 3.3 special-characters-bug".

http://www.sjaensch.org/licq1.2.7-qt3.3-sprintf.patch
Comment 1 John Thacker 2006-04-21 11:42:03 EDT
I'm pretty sure that this patch got included in 1.3.0
Fedora Extras now has 1.3.2 in it, and has for some time.  I'm closing this bug.
 Refile in Fedora Extras if you still have a problem.

Note You need to log in before you can comment on or make changes to this bug.